Subject: [ETI Informal pdf 1AD.04.07.35] About Immersion
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Mon, 16 Aug 2004 09:14:04 +0200

Greetings

Following is a response to the email about immersion [1AD.04.07.25] Something very DIFFERENT.

Regarding the request for prayers for cleansing, i have forwarded:

    1AD.02.07.04 Cleansing from hardening of the heart, inner vows, etc (25 July 2002)

    1AD.02.07.05 Mind and will - 5 pages on the mind - pages 8 to 12 (26 July 2002)

    1AD.02.07.06 Mind and will part 2 - 4 pages on the will - pages 13 to 16 (26 July 2002)
    1AD.02.07.07 A useful process for softening hardness of heart (30 July 2002)

If anyone else would like copies please let me know.

We have learned much about the process of removing hardness of the heart since the above was written -- it is a time consuming process of resetting "switches" in ones subconscious memory that are attached to particular wrong beliefs and which we were not designed to summarily change.

I hope to write more about this in the not too distant future.

Warm regards and blessings

James

>>> FORWARD BEGINS <<<

Greetings James,

We wish you well on your overseas trip. Thank you for the note on immersion. We are curious to know how you were led to this.

It seemed to be a simple process according to the Scriptures, Acts 18 : 8 - heard, believed, immersed. Acts 8 : 26 - 37 - the Ethiopian eunuch - he believed, confession of the Name, immersion.

However, I have always felt that it was too quick. Even with the last immersion ... said - is that all. To me i have always wanted to make it take longer because of the magnitude of it.

The following points that you have set out are excellent and we will put them into play.

[a] Leading one through repentance of breaking each of the ten commandments and the binding of the forces related to the breaking of each commandment.

[b] Working through their lives from current to birth, making notes of all their transgressions. Then working through them all, repenting, praying for forgiveness, healing and cleansing. 

[c] The symbolic passing of a razor over the entire body representing cutting all ties with the world, the past, sin, etc. " we are in the world but not of it ".

[d] The blowing of the shofar, to drive off the forces of darkness and to proclaim the breakthrough in his / her life.

[f] Entering down into the water, - the confession of and belief in the Name Yahooshua, the Annointed One of Yah. The immersion.

[g] Gathering together of the other believers in attendance. Then leading up to the laying on of hands. The anointing with oil of the right ear lobe - for clarity of hearing, the right thumb - clarity of writing and doing, the right toe - clarity and obedience of the walk Pouring of oil on the head. Followed by the laying on of hands. Prayer of thanks

Concerning the other points I would like the notes and prayers etc from when you did this in 2001. When you return from your trip.

These notes may help us with the other points. ...

Warm regards and blessings.

 

...

>>> REPLY BEGINS <<<

Dear ...

Thank you for the feedback and blessings.

It is a blessing that you have found some of the material useful.

Regarding "Thank you for the note on immersion. We are curious to know how you were led to this."

It happened as follows:

We were impressed to invite a woman to stay with us over Passover.

I had a vision involving sexual acts between her and a dog.

We ministered to her and she admitted that she had seen a dog try and mount a young girl as a child and had subsequently repeatedly read pornography involving sex with animals and that she had eventually encouraged her cat to stimulate her sexually and that she regularly thought about sex with animals.

She had been a believer for many years.

I prayed and asked the Almighty what to do and then picked up my bible and my next reading was Leviticus 14, so i prayed about it further and advised her to follow basically the procedure i outlined to you.

Some weeks later i ministered to the Satanist i mentioned -- he came into an assembly and, according to those who were there, seemed to fly from the back of the room to the front to attack the leader of the assembly.

When i arrived he was lying on the floor with about six or eight large men sitting on him surrounded by chaos -- people shouting, praying, binding, loosing, no order at all.

The Almighty told me to ask permission to take authority and i did so -- i led the man in prayers of repentance, took the bread and wine with him, anointed him, passed a razor over him and immersed him as i described, with the outcome i described.

He had all sorts of Satanic tattoos all over his body, needles implanted under his skin, etc -- i physically shaved him with shaving foam over these places praying for their power to be cut off and all demons attached to those symbols to be cast into the Pit and for the symbols to be erased in the spirit realm and be of no further force or effect.

My understanding is that this is a series of symbolic prophetic acts which evidence a desire on the person doing them to come into deeper relationship with the Almighty -- i find NO evidence that we are limited in these things -- it is a case of doing what the Almighty leads us to do BY FAITH.

The spirit realm is greatly influenced by these sorts of prophetic / symbolic actions provided we do them BY FAITH out of a desire for sanctification and closer relationship with the Almighty and separation from the world and the forces of darkness.

Regarding "However, I have always felt that it was too quick. Even with the last immersion Amy said - is that all. To me i have always wanted to make it take longer because of the magnitude of it" it seems to me that it is a case of doing as much as you feel impressed to do -- i certainly recommend the triple immersion three times, i have found it to be profoundly powerful -- you could try it today if you want to.

In terms of going further than is written, the reality is that the spirit realm today is FAR MORE CORRUPT than it was in the days of Yahooshua.

Leviticus provides for full immersion in over 20 different situations which provides a basis for believers to immerse themselves under a wide diversity of circumstances as a routine part of their lives.

Just as partaking of the covenant (bread and wine) and rehearsing the covenant, washing of one another's feet and other prophetic spiritually symbolic legal acts is also important and powerful and should be done frequently, immersion when we become aware of sin or attachment to worldly things or a lack of death to self is an option at any time and as frequently as we choose to do it with right motive.

....

I hope that this helps.

Warm regards and blessings

James